import * as $dara from '@darabonba/typescript';
export declare class DescribeVSwitchesResponseBodyVSwitchesVSwitchRouteTable extends $dara.Model {
    routeTableId?: string;
    routeTableType?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVSwitchesResponseBodyVSwitchesVSwitchTagsTag extends $dara.Model {
    key?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVSwitchesResponseBodyVSwitchesVSwitchTags extends $dara.Model {
    tag?: DescribeVSwitchesResponseBodyVSwitchesVSwitchTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVSwitchesResponseBodyVSwitchesVSwitch extends $dara.Model {
    availableIpAddressCount?: number;
    cidrBlock?: string;
    creationTime?: string;
    description?: string;
    enabledIpv6?: boolean;
    ipv6CidrBlock?: string;
    isDefault?: boolean;
    networkAclId?: string;
    ownerId?: number;
    resourceGroupId?: string;
    routeTable?: DescribeVSwitchesResponseBodyVSwitchesVSwitchRouteTable;
    shareType?: string;
    status?: string;
    tags?: DescribeVSwitchesResponseBodyVSwitchesVSwitchTags;
    vSwitchId?: string;
    vSwitchName?: string;
    vpcId?: string;
    zoneId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVSwitchesResponseBodyVSwitches extends $dara.Model {
    vSwitch?: DescribeVSwitchesResponseBodyVSwitchesVSwitch[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVSwitchesResponseBody extends $dara.Model {
    /**
     * @remarks
     * The number of the returned page.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries returned per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 9A572171-4E27-40D1-BD36-D26C9E71E29E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    vSwitches?: DescribeVSwitchesResponseBodyVSwitches;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
